wiki:setupdev

setting up a development environment

  • html5
    • a LAMPS stack is required to serve HTML
      • find the correct method for your distribution
      • you will need:
        • apache 2.4.6+
        • zeromq
        • php 5.5.2+ needs --enable-pcntl (not used under mod-perl, but needed for forking off jobs elsewise)
          • php pear package installer will also be needed and you will need use pear to install Mail, Mail_Mime
            • pecl to install uuid and zmq imagick
              • might be pecl install zmq-beta
              • if no libzmq error, possibly $ export PKG_CONFIG_PATH=/usr/local/lib/pkgconfig:/usr/lib/pkgconfig
          • after install, you can list installed packages with the pear list -a command, here's a list from a current working setup:
            pear list -a
            Installed packages, channel __uri:
            ==================================
            (no packages installed)
            
            Installed packages, channel doc.php.net:
            ========================================
            (no packages installed)
            
            Installed packages, channel pear.php.net:
            =========================================
            Package          Version State
            Archive_Tar      1.3.11  stable
            Console_Getopt   1.3.1   stable
            Mail             1.2.0   stable
            Mail_Mime        1.8.9   stable
            Net_SMTP         1.6.2   stable
            Net_Socket       1.0.14  stable
            PEAR             1.9.4   stable
            Structures_Graph 1.0.4   stable
            XML_Util         1.2.1   stable
            
            Installed packages, channel pecl.php.net:
            =========================================
            Package Version State
            imagick 3.1.2   stable
            uuid    1.0.3   stable
            zmq     1.1.2   beta
            
        • mysql 5.1+
        • mongodb 2.4.9+
          • [32 bit OS mongodb has severe limitations, use 64 bit OS if at all possible]
        • perl 5.18.1+
          • needs CPAN JSON & Hash::Merge installed
      • special edits should be made to php.ini:
        [PHP]
        post_max_size = 512M
        upload_tmp_dir = /opt/httpd/uploads
        upload_max_filesize = 512M
        max_file_uploads = 200
        
        • although your values may need to vary

  • qt
    • qt versions need qwt for 2d plots and different qt targets need different qwt libraries
qtqwt
qt3.3.xqwt4.2 or greater but not qwt5
qt4qwt5.2.3 or greater but not qwt6
qt5qwt6.1 or greater
Last modified 23 months ago Last modified on Apr 17, 2016, 4:59:50 PM